## WebKitDOMXPathExpression WebKitDOMXPathExpression |

## Functions

WebKitDOMXPathResult * | webkit_dom_xpath_expression_evaluate ()

## Types and Values

struct | WebKitDOMXPathExpression

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMXPathExpression

## Description

## Functions

### webkit_dom_xpath_expression_evaluate ()

    WebKitDOMXPathResult *
    webkit_dom_xpath_expression_evaluate (WebKitDOMXPathExpression *self,
                                          WebKitDOMNode *contextNode,
                                          gushort type,
                                          WebKitDOMXPathResult *inResult,
                                          GError **error);

`webkit_dom_xpath_expression_evaluate` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMXPathExpression |
contextNode | A WebKitDOMNode |
type | A gushort |
inResult | A WebKitDOMXPathResult |
error | GError |

#### Returns

A WebKitDOMXPathResult.

[transfer full]

## Types and Values

### struct WebKitDOMXPathExpression

    struct WebKitDOMXPathExpression;